#ifndef TEXTDIALOG_H
#define TEXTDIALOG_H
#include <QtGui>
#include <QtCore>
#include <QtSql>
#include "ui_textdialog.h"

class textdialog:public QWidget,public Ui::TextDialog
{
Q_OBJECT
public:
textdialog(QString &/*name*/,QString &/*surname*/,QString &/*user*/,QStringList &/*texte*/,QString &/*resutext*/);
~textdialog();
QString m_nompatient;
QString m_prenompatient;
QString m_resutext;
QString m_userpref;
QString m_texte;
QStringList m_textelist;
QStringList m_titres2;
QString fonctiontitre(QStringList&);
QTextDocument *m_document;
signals:

protected slots:
void enregistretexte();
void ouvrirmanager();
void modifiertexte();
void effacerFichier();
};

#endif

